HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::FileCreatPropList Class Reference

`#include <H5FcreatProp.h>`

Inheritance diagram for H5::FileCreatPropList:

List of all members.

## Public Member Functions
| FileCreatPropList ()
| Default constructor: Creates a file create property list.
void | getVersion (unsigned &super, unsigned &freelist, unsigned &stab, unsigned &shhdr) const
| Retrieves version information for various parts of a file.
void | setUserblock (hsize_t size) const
| Sets the user block size field of this file creation property list.
hsize_t | getUserblock () const
| Returns the user block size of this file creation property list.
void | getSizes (size_t &sizeof_addr, size_t &sizeof_size) const
| Retrieves the size of the offsets and lengths used in an HDF5 file.
void | setSizes (size_t sizeof_addr=4, size_t sizeof_size=4) const
| Sets the byte size of the offsets and lengths used to address objects in an HDF5 file.
void | getSymk (unsigned &int_nodes_k, unsigned &leaf_nodes_k) const
  | Retrieves the size of the symbol table B-tree 1/2 rank and the symbol table leaf node 1/2 size. Exceptions:
  | H5::PropListIException. |
void | setSymk (unsigned int_nodes_k, unsigned leaf_nodes_k) const
| Sets the size of parameters used to control the symbol table nodes.
unsigned | getIstorek () const
| Returns the 1/2 rank of an indexed storage B-tree.
void | setIstorek (unsigned ik) const
| Sets the size of the parameter used to control the B-trees for indexing chunked datasets.
virtual H5std_string | fromClass () const
| FileCreatPropList (const FileCreatPropList &orig)
| Copy constructor: makes a copy of the original FileCreatPropList object.
| FileCreatPropList (const hid_t plist_id)
| Creates a file creation property list using the id of an existing one.
virtual | ~FileCreatPropList ()
| Noop destructor.
## Static Public Attributes
static const FileCreatPropList | DEFAULT
| Constant for default property.

## Constructor & Destructor Documentation

H5::FileCreatPropList::FileCreatPropList | ( |  | ) |

Default constructor: Creates a file create property list.

H5::FileCreatPropList::FileCreatPropList | ( | const FileCreatPropList & | original | ) |

Copy constructor: makes a copy of the original FileCreatPropList object.

Parameters:

  | original | - IN: FileCreatPropList instance to copy

H5::FileCreatPropList::FileCreatPropList | ( | const hid_t | plist_id | ) |

Creates a file creation property list using the id of an existing one.

Parameters:

  | plist_id | - IN: FileCreatPropList id to use

H5::FileCreatPropList::~FileCreatPropList | ( |  | ) | `[virtual]`

Noop destructor.

## Member Function Documentation

void H5::FileCreatPropList::getVersion | ( | unsigned & | super,
|  | unsigned & | freelist,
|  | unsigned & | stab,
|  | unsigned & | shhdr |
| ) |  |  | const

Retrieves version information for various parts of a file.

Parameters:

  | super | - OUT: The file super block.
  | freelist | - OUT: The global free list.
  | stab | - OUT: The root symbol table entry.
  | shhdr | - OUT: Shared object headers.

Exceptions:

  | H5::PropListIException |

Description
  Any (or even all) of the output arguments can be null pointers.

void H5::FileCreatPropList::setUserblock | ( | hsize_t | size | ) | const

Sets the user block size field of this file creation property list.

Parameters:

  | size | - IN: User block size to be set, in bytes

Exceptions:

  | H5::PropListIException |

Description
  The default user block size is 0; it may be set to any power of 2 equal to 512 or greater (512, 1024, 2048, etc.)

hsize_t H5::FileCreatPropList::getUserblock | ( |  | ) | const

Returns the user block size of this file creation property list.

Returns:
  User block size

Exceptions:

  | H5::PropListIException |

void H5::FileCreatPropList::getSizes | ( | size_t & | sizeof_addr,
|  | size_t & | sizeof_size |
| ) |  |  | const

Retrieves the size of the offsets and lengths used in an HDF5 file.

Exceptions:

  | H5::PropListIException |

void H5::FileCreatPropList::setSizes | ( | size_t | sizeof_addr = `4`,
|  | size_t | sizeof_size = `4` |
| ) |  |  | const

Sets the byte size of the offsets and lengths used to address objects in an HDF5 file.

Parameters:

  | sizeof_addr | - IN: Size of an object offset in bytes
  | sizeof_size | - IN: Size of an object length in bytes.

Exceptions:

  | H5::PropListIException |

Description
  For information on setting sizes, please refer to the C layer Reference Manual at: ../RM_H5P.html::Property-SetSizes

void H5::FileCreatPropList::getSymk | ( | unsigned & | ik,
|  | unsigned & | lk |
| ) |  |  | const

Retrieves the size of the symbol table B-tree 1/2 rank and the symbol table leaf node 1/2 size.

Exceptions:

  | H5::PropListIException. |

Description
  For information, please see ../RM_H5P.html::Property-SetSymK

void H5::FileCreatPropList::setSymk | ( | unsigned | ik,
|  | unsigned | lk |
| ) |  |  | const

Sets the size of parameters used to control the symbol table nodes.

Parameters:

  | ik | - IN: Symbol table tree rank
  | lk | - IN: Symbol table node size

Exceptions:

  | H5::PropListIException |

Description
  For information, please see the C layer Reference Manual at: ../RM_H5P.html::Property-SetSymK

unsigned H5::FileCreatPropList::getIstorek | ( |  | ) | const

Returns the 1/2 rank of an indexed storage B-tree.

Returns:
  1/2 rank of chunked storage B-tree

Exceptions:

  | H5::PropListIException |

Description
  For information, please see ../RM_H5P.html::Property-SetIstoreK

void H5::FileCreatPropList::setIstorek | ( | unsigned | ik | ) | const

Sets the size of the parameter used to control the B-trees for indexing chunked datasets.

Parameters:

  | ik | - IN: 1/2 rank of chunked storage B-tree

Exceptions:

  | H5::PropListIException |

Description
  For information, please see the C layer Reference Manual at: ../RM_H5P.html::Property-SetIstoreK

virtual H5std_string H5::FileCreatPropList::fromClass | ( |  | ) | const`[inline, virtual]`

Reimplemented from H5::PropList.

## Member Data Documentation

const FileCreatPropList H5::FileCreatPropList::DEFAULT`[static]`

Constant for default property.

Reimplemented from H5::PropList.